package com.atlassian.bitbucket.mesh.network;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public abstract class MeshNodeEvent {

    protected final MeshNode node;

    protected MeshNodeEvent(@Nonnull MeshNode node) {
        this.node = requireNonNull(node, "node");
    }

    @Nonnull
    public MeshNode getNode() {
        return node;
    }
}
